from setuptools import setup

setup(
    name="hmi-simulator",
    version="0.2.0",
    author="Luca Poli",
    author_email="lpoli@imolainformatica.it",
    description=("Modbus HMI server emulator"),
    license="GPL3",
    packages=['hmi_simulator', 'hmi_simulator.modbus', 'hmi_simulator.scheduler', 'hmi_simulator.utility', 'tests'],
    setup_requires=[
        'coverage',
        'nose',
        'pyYAML',
        'pymodbus<=2.1.0'
    ],
    install_requires=[
        'pyYAML',
        'pymodbus==2.1.0'
    ],
    test_suite='tests.test_suite',
    entry_points={
        'console_scripts': [
            'hmi-simulator = hmi_simulator.run_server:main'
        ],
    }
)
